#203 FO freezes XP on launch

v0.3
closed
nobody
None
9
2006-02-21
2006-01-21
Anonymous
No

v0.3 and v0.3.1 freeze my XP SP1 box as soon as click
on something on the main screen, whether on fullscreen
mode or windowed. In windowed mode, no message appear
on the console. I have to hard-reboot. (Possible
graphics drivers problem?)

What I did:

I download v0.3.1RC1 and install it. I launch the game.
The main screen/menu appear. I click on Option, the
options pop up, the box freezes. Reboot, "Windows
recovered from an error blah blah". I launch the game
again, I click on "Single Player", the box freezes.

Reboot, uninstall, download and install v0.3, remove
the --fullscreen in the shortcuts. I launch the game,
move the window a little so I can see the console (just
in case, y'know). I click on "Single Player", the box
freezes. I sigh, I reboot, I uninstall, I write this.

Nicolas (nbriche at free dot fr)

Discussion

  • Geoff Topping

    Geoff Topping - 2006-01-22

    Logged In: YES
    user_id=913462

    If you'd like to help narrow this down, could you please
    reinstall FO, then find config.xml in the main FreeOrion
    directory. In this file, edit the line with <log-level> to:

    <log-level>DEBUG</log-level>

    then run FreeOrion, uncover the console, then click on
    "Single Player" and see if anything shows up in the console,
    and if so, report it as a comment here? Thanks.

     
  • Geoff Topping

    Geoff Topping - 2006-01-22
    • priority: 5 --> 9
     
  • Nobody/Anonymous

    Logged In: NO

    The game crashes before a default config.xml could be
    created. I plucked another one from a linux install and
    modified it accordingly (there was a linux-only option that
    had to be deleted, aside from the obvious pathnames issue).

    It seems that the issue is a little more severe than I
    thought; in the few seconds it took me to copy the last few
    debug lines from the console, the machine froze. So it's
    not actually the menu-item activation that causes the crash,
    but a delayed... something from the very start.

    Here are the last few debug lines from freeorion.log:

    2006-01-23 20:30:47,283 DEBUG : Inserted(BLD_REMOTE_CONST,
    Remote Construction)
    2006-01-23 20:30:47,299 DEBUG :
    Inserted(BLD_REMOTE_CONST_DESC, A network of matter and
    construction. A team of construction workers and robots can
    assemble structures on distant worlds without the need for
    freighters or construction vessels. Only a small
    matter-terminal ship is needed. Quickly raises the industry
    on all worlds to that of an Established world.)
    2006-01-23 20:30:47,299 DEBUG : Inserted(BLD_ECON_SINKHOLE,
    Economic Sinkhole)
    2006-01-23 20:30:47,299 DEBUG :
    Inserted(BLD_ECON_SINKHOLE_DESC, An Economic Sinkhole
    actively disrupts trade in its vicinity. This effect does
    not distinguish between friend or foe, however, so care must
    be taken in its placement to maximize disruption of enemy
    trade, while assuring minimal impact on that of its builders.)

    The box freezes here.

    The two non-"Inserted()" lines:
    2006-01-23 20:30:46,955 DEBUG : SDLInit() complete.
    2006-01-23 20:30:46,986 DEBUG : GLInit() complete.

    Note that the XP SP2 at work runs FO just fine ^_^

    In my haste to report the bug, I forgot to precise that the
    box is a Sempron (AMD64), on a SiS 760 chipset (integrated
    graphics). Though the Windows itself is a 32bit OS, the
    game may just not like the processor and/or the chipset.

    Nicolas

     
  • Zach Laine

    Zach Laine - 2006-02-06
    • status: open --> pending
     
  • Zach Laine

    Zach Laine - 2006-02-06

    Logged In: YES
    user_id=729903

    Please try again with 0.3.1-RC2 (just released). Be sure
    you have .NET Framework 2.0 installed on your system. Read
    the release announcement on the forums for details.

     
  • SourceForge Robot

    • status: pending --> closed
     
  • SourceForge Robot

    Logged In: YES
    user_id=1312539

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).

     

Log in to post a comment.